## stanford-server 177

=== debian/changelog ===
stanford-server (177) unstable; urgency=medium

  * Remove tripwire from the package (has not been used at Stanford for many years).
  * Remove usr/sbin/remctl-acl-update from package. This has been replaced by the
    script from remctl-acl-update-flex package.
  * Change /etc/cron.hourly/remctl-acl to a template that does not install
    any remctl ACL files. We do this because the the new
    remctl-acl-update-flex script requires explicit ACL files and, unlike
    the old usr/sbin/remctl-acl-update script, does not install any remctl
    ACL files by default. Thus system maintainers will have to change the
    hourly cron job themselves to suite their circumstances.
  * Readded comments to /usr/sbin/key-system that were removed in a previous
    release

 -- Lonlone Lee <lonlone@stanford.edu>  Fri, 19 Sep 2025 10:04:45 -0700

stanford-server (176) unstable; urgency=medium

  * Updated key-system script to use chrony instead of ntp.
    This was done because Trixie has deprecated ntp.

 -- Lonlone Lee <lonlone@stanford.edu>  Wed, 03 Sep 2025 20:29:31 -0700

stanford-server (175) unstable; urgency=medium

  * Added performance data to check_ossec_report and fixed a typo in the
    remctl configuration1

 -- Lonlone Lee <lonlone@stanford.edu>  Mon, 11 Nov 2024 13:49:26 -0800

stanford-server (174) unstable; urgency=medium

  * Added the monitor ossec-report command to the monitor-base remctl
    configuration.

 -- Lonlone Lee <lonlone@stanford.edu>  Mon, 11 Nov 2024 13:25:36 -0800

stanford-server (173) unstable; urgency=medium

  * Updated the /usr/sbin/monitor-base script to enable the check_ossec_report
    plugin.

 -- Lonlone Lee <lonlone@stanford.edu>  Thu, 24 Oct 2024 12:19:51 -0700

stanford-server (172) unstable; urgency=medium

  * Added /usr/lib/nagios/plugins/check_ossec_report: Nagios plugin to
    check on the file size of the OSSEC Report

 -- Lonlone Lee <lonlone@stanford.edu>  Thu, 24 Oct 2024 10:11:43 -0700

stanford-server (171) unstable; urgency=medium

  * Fixed typos in /usr/sbin/key-system

 -- Lonlone Lee <lonlone@stanford.edu>  Tue, 15 Aug 2023 15:58:09 -0700

stanford-server (170) unstable; urgency=medium

  * Updated /usr/sbin/key-system script to support the deprecation
    of init.d scripts to use the service command instead.  Also account
    for the lack of ntp user by replacing it with ntpsec.

 -- Lonlone Lee <lonlone@stanford.edu>  Tue, 15 Aug 2023 13:57:19 -0700

stanford-server (169) unstable; urgency=medium

  * [usr/sbin/check_cert_chain_expiration] Add some extra messages in
    verbose mode and include the subject of the certificate that is
    expiring in the WARN and CRITICAL messages.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 06 Jan 2023 17:41:48 -0800

stanford-server (168) unstable; urgency=medium

  * Added sslcert_file check to monitor-base script and remctl.  This will
    allow Nagios checks for SSL Certificate Expiration of files on servers.

 -- Lonlone Lee <lonlone@stanford.edu>  Fri, 01 Jul 2022 13:47:25 -0700

stanford-server (167) unstable; urgency=medium

  * Switch to /usr/sbin/remctl-acl-update-flex for remctl acl update
    script. (Late merge; work actually done in May 2021.)

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 09 May 2022 15:52:05 -0700

stanford-server (166) unstable; urgency=medium

  * Added a puppet client check to monitoring remctl and monitor-base script

 -- Lonlone Lee <lonlone@stanford.edu>  Wed, 27 Apr 2022 17:07:15 -0700

stanford-server (165) unstable; urgency=medium

  * Non-maintainer upload.
  * Combined debian and redhat build source directory

 -- Bruce Barnes <bnbarnes@stanford.edu>  Tue, 30 Nov 2021 11:50:13 -0800

stanford-server (164) unstable; urgency=medium

  * Add package dependency for remctl-acl-update-flex.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 12 May 2021 16:05:38 -0700

stanford-server (163) unstable; urgency=medium

  * Commented out 'use autodie' from the /usr/sbin/key-system script.
  * IEDO-900 was created in order to properly test this command before it's
    re-introduced.

 -- Lonlone Lee <lonlone@stanford.edu>  Wed, 10 Mar 2021 15:21:22 -0800

stanford-server (162) unstable; urgency=medium

  * Added file existance check for /var/lock/key-system to keep key-system
    script from erroring out.
  * The addition of autodie was causing a problem in /usr/sbin/key-system on line 90.

 -- Lonlone Lee <lonlone@stanford.edu>  Wed, 10 Mar 2021 13:31:51 -0800

stanford-server (161) unstable; urgency=medium

  * Updated check_procs_perf and check_service executability

 -- Lonlone Lee <lonlone@stanford.edu>  Tue, 09 Mar 2021 13:07:20 -0800

stanford-server (160) unstable; urgency=medium

  * Updated check_procs_perf for command line argument check

 -- Lonlone Lee <lonlone@stanford.edu>  Tue, 09 Mar 2021 11:36:43 -0800

stanford-server (159) unstable; urgency=medium

  * Added check_service and check_procs_perf Nagios plugins to remctl and
    monitor base for: IEDO-725, IEDO-792

 -- Lonlone Lee <lonlone@stanford.edu>  Tue, 09 Mar 2021 09:56:17 -0800

stanford-server (158) unstable; urgency=medium

  * Remove nagios-alert-wrapper (should not have ever been in this
    package).

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 08 Feb 2021 13:07:18 -0800

stanford-server (157) unstable; urgency=medium

  * Added new script nagios-alert-wrapper.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 08 Feb 2021 08:03:36 -0800

stanford-server (156+nmu1) unstable; urgency=medium

  * Added update as a new parameter to monitor-base and added it to remctl
    conf.d

 -- Lonlone Lee <lonlone@stanford.edu>  Thu, 08 Oct 2020 16:47:39 -0700

stanford-server (156) unstable; urgency=medium

  * restart-dns-cache: A wrapper script that restarts the dnsmasq and bind
    services.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 10 Sep 2020 15:43:55 -0700

stanford-server (155) unstable; urgency=medium


