=== debian/control ===
Source: stanford-server
Section: admin
Priority: optional
Maintainer: Lonlone Lee <lonlone@stanford.edu>
Uploaders: Adam Henry Lewenberg <adamhl@stanford.edu>
Build-Depends: debhelper (>= 9),
 libappconfig-perl,
 libcache-cache-perl,
 libconfig-simple-perl,
 libcrypt-passwdmd5-perl,
 libdate-calc-perl,
 libfile-fcntllock-perl,
 libfile-slurper-perl,
 libfile-tail-perl,
 libgetopt-long-descriptive-perl,
 libipc-run-perl,
 libjson-perl,
 libnet-openssh-perl,
 libnet-remctl-perl (>= 3.4),
 libperl6-slurp-perl,
 libstanford-certtools-perl,
 libstanford-infrared-perl,
 libstanford-orange-util-perl,
 libsys-hostname-long-perl,
 libterm-readkey-perl,
 libtest-pod-perl,
 libtest-minimumversion-perl,
 libtest-stanford-idg-perl,
 libtest-strict-perl,
 libtimedate-perl,
 libyaml-tiny-perl,
 perl
Standards-Version: 4.3.0

Package: stanford-server
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 daemontools,
 debconf,
 iptables,
 krb5-user | heimdal-clients,
 libappconfig-perl,
 libcache-cache-perl,
 libconfig-simple-perl,
 libcrypt-passwdmd5-perl,
 libdate-calc-perl,
 libfile-tail-perl,
 libfile-slurper-perl,
 libgetopt-long-descriptive-perl,
 libipc-run-perl,
 libnet-openssh-perl,
 libnet-remctl-perl (>= 3.4),
 libperl6-slurp-perl,
 libstanford-certtools-perl,
 libstanford-infrared-perl,
 libstanford-orange-util-perl (>= 0.19),
 libsys-hostname-long-perl,
 libterm-readkey-perl,
 libtimedate-perl,
 libyaml-tiny-perl,
 openssl,
 remctl-acl-update-flex (>= 14),
 stanford-puppet-backend,
 rsync,
 wallet-client
Recommends: curl, dmidecode, facter, ipmitool, nagios-plugins-standard,
 puppet (>> 2.6), remctl-client, remctl-server
Description: Supporting scripts and configuration for ITS servers
 stanford-server is installed on every Linux system managed by many groups
 in IT Services.  It provides some common management scripts and remctl
 interfaces, sets up Tripwire, and fixes permissions on ksu and su.

Package: stanford-server-packages
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, ${metapackage:Depends}
Description: Metapackage for standard packages for ITS servers
 This package pulls in, via Depends, the standard set of packages that are
 installed on Linux servers run by IT Services.  This includes a basic set
 of tools and utilities, some Stanford-specific infrastructure, and other
 packages that should be found on any system.  It does not include
 packages that are logically part of standard Puppet modules, only the
 miscellaneous packages that don't fit in a better place.
